Mail archive
alpine-devel

[alpine-devel] [PATCH 2/3] testing/py-eyed3: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Fri, 24 Oct 2014 11:28:53 -0500

http://eyed3.nicfit.net/
A Python module and program for processing information about mp3 files

Needed for abcde.
---
 testing/py-eyed3/APKBUILD       | 45 +++++++++++++++++++++++++++++++++++++++++
 testing/py-eyed3/eyeD3-sh.patch |  7 +++++++
 2 files changed, 52 insertions(+)
 create mode 100644 testing/py-eyed3/APKBUILD
 create mode 100644 testing/py-eyed3/eyeD3-sh.patch
diff --git a/testing/py-eyed3/APKBUILD b/testing/py-eyed3/APKBUILD
new file mode 100644
index 0000000..543111b
--- /dev/null
+++ b/testing/py-eyed3/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-eyed3
+_pkgname=eyeD3
+pkgver=0.7.4
+pkgrel=0
+pkgdesc="A Python module and program for processing information about mp3 files"
+url="http://eyed3.nicfit.net/"
+arch="noarch"
+license="GPL"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://eyed3.nicfit.net/releases/$_pkgname-$pkgver.tgz
+	eyeD3-sh.patch"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="80d71338f53243cba1a2e2a86cde5635  eyeD3-0.7.4.tgz
+71fa0586d5521bc86778a87d5d3be924  eyeD3-sh.patch"
+sha256sums="a138e6e1fd5b8c2b7947a2d22868167ede16bb96e8e02a067951388bf1fb3000  eyeD3-0.7.4.tgz
+de5176e0d1e60854195954baf8fda6426abe5409cb5affcbd732f469b2f986f7  eyeD3-sh.patch"
+sha512sums="4e74daea9283890e3189ef03a68ce6ccd063ce21d86201e2a1d8e7d769fa2d532e8cdbcfbd02b3f04a1914bceafca8dbef6e89ba60499ebd436d57807ebd067b  eyeD3-0.7.4.tgz
+bebc7e834efe259397a397bf8024e52f41893e6eeb4a3fa2b4e00d1559fbcca27d25576dada0e10857512ac111738fdd89a3b6ae6b025b847690ba5b76fce3e4  eyeD3-sh.patch"
diff --git a/testing/py-eyed3/eyeD3-sh.patch b/testing/py-eyed3/eyeD3-sh.patch
new file mode 100644
index 0000000..1f97988
--- /dev/null
+++ b/testing/py-eyed3/eyeD3-sh.patch
_at_@ -0,0 +1,7 @@
+--- a/bin/eyeD3	2014-10-24 11:11:12.104828448 +0500
++++ b/bin/eyeD3	2014-10-24 11:11:24.744759113 +0500
+_at_@ -1,3 +1,3 @@
+-#!/usr/bin/env bash
++#!/bin/sh
+ 
+ python -m eyed3.main "$_at_"
-- 
2.1.2
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Oct 24 2014 - 11:28:53 GMT